Summary: GeoCaching and General Waypoint Database
Name: geoqo
Version: 0.97
Release: 3%{?dist}
License: GPLv2
Group: Amusements/Games
URL: http://www.geoqo.org/
Source0: http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
# These are only pseudo required by the code and won't be auto-found
# list extracted from check-prerequisites.pl
Requires: perl(Gtk2) perl(QWizard) perl(GD) perl(Chart::Lines)
Requires: perl(Getopt::GUI::Long) perl(DBD::SQLite2)
# required for make test
BuildRequires: perl(Test) perl(ExtUtils::MakeMaker) perl(Test::More)
BuildRequires: perl(DBI)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(DBD::SQLite2)
BuildRequires: perl(Text::Balanced)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
geoqo is a perl script and support modules for manipulating a database
of geocaching and other waypoints.

The homepage for GeoQO is the best place to read about it, and can be
found at:

  http://www.geoqo.org/ 

%prep
%setup -q -n geoqo-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# fix incorrect installed files
find %{buildroot} -name \*.pm -exec chmod a-x {} \;
rm -f %{buildroot}%{perl_vendorlib}/INSTALL-WINDOWS.pl

# this gets installed as documentation so remove the execute bit
chmod a-x check-prerequisites.pl

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README NEWS check-prerequisites.pl

%{_bindir}/geoqo
%{_mandir}/man1/*

%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 18 2008 Wes Hardaker <wjhns174@hardakers.net> - 0.97-3
- Fix bug #454253: require perl properly for auto-rebuild
- Change license to GPLv2 only since source doesn't have artistic in it

* Mon Jun 23 2008 Wes Hardaker <wjhns174@hardakers.net> - 0.97-2
- Fix bug #452481: require DBD::sqlite2

* Fri May 16 2008 Wes Hardaker <wjhns174@hardakers.net> - 0.97-1
- update to upstream that contains multiple bug fixes

* Tue Jan  8 2008 Wes Hardaker <wjhns174@hardakers.net> - 0.96-5
- Require Getopt::GUI::Long now that it's in the repositories

* Mon Dec 31 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.96-4
- Added dist to Release line

* Sat Dec 29 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.96-3
- Included Artistic in license
- BuildRequire: a bunch of other packages so make test will work under mock

* Fri Dec 28 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.96-2
- Use HTTP url from sourceforge for source
- BuildRequire perl(Test) and perl(ExtUtils::MakeMaker)

* Fri Dec  7 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.96-1
- Initial build.

